## libscconf 0.1

=== Makefile ===

NAME=libscconf
SONAME = $(NAME).so.0
VERSION = 0.1
LIBNAME = $(NAME).so.$(VERSION)
INCNAME = scconf.h

CC =		$(CROSS_COMPILE)gcc

CFLAGS += -I. -fPIC -g -O2 -Wall -DHAVE_STRINGS_H

SRCS = parse.c scconf.c sclex.c write.c compat_strlcpy.c
OBJS = $(SRCS:%.c=%.o)

all: $(LIBNAME) $(NAME).a

$(LIBNAME): $(OBJS)
	$(CC) -o $@  -shared -Wl,-soname -Wl,$(SONAME) $^
	ln -sf $@ $(SONAME)
	ln -sf $(SONAME) $(NAME).so

$(NAME).a: $(OBJS)
	$(AR) cru $(NAME).a $^

clean:
	rm -f $(OBJS) $(LIBNAME) $(SONAME) $(NAME).so $(NAME).a

install:
	install -d $(DESTDIR)/usr/lib $(DESTDIR)/usr/include
	install -m 644 $(LIBNAME) $(DESTDIR)/usr/lib
	cp -a $(NAME).so.0 $(DESTDIR)/usr/lib
	cp -a $(NAME).so $(DESTDIR)/usr/lib
	install -m 644 $(NAME).a $(DESTDIR)/usr/lib
	install -m 644 $(INCNAME) $(DESTDIR)/usr/include
