=== debian/changelog ===
libscconf (0.1) unstable; urgency=low

  * Initial release

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 10 Nov 2008 14:33:39 +0200
