=== debian/control ===
Source: libscconf
Priority: extra
Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.8.0
Section: libs

Package: libscconf0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling scconf files
 The scconf system is a small system library for handling
 scconf files. Why should anyone care about scconf format?
 It is a handy format for short pieces of structured data.

Package: libscconf-dev
Section: libdevel
Architecture: any
Depends: libscconf0 (= ${Source-Version})
Description: library for handling scconf files
 The scconf system is a small system library for handling
 scconf files. Why should anyone care about scconf format?
 It is a handy format for short pieces of structured data.
